Skip to main content

Action NDR API:

Use this API to take action on your pending NDR.

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/ndr/action
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl:

curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/ndr/action' \
--header 'rapidshyp-token: eadb9ad30bb30393ca33e33cead7bf1ba6caef6e3bde19cc0855dcaa908e360e' \
--header 'Content-Type: application/json' \
--data '
{
"awb": "1111111111111",
"action": "REATTEMPT",
"phone": "9999999999",
"address1": "AJJ",
"address2": ""
}'
Request ParametersRequiredRemarkValidation
awbMandatoryAWB for which NDR has been raised by courier
actionMandatoryRE_ATTEMPT - pass to reattempt the NDR RETURN - pass to return the shipment
phoneConditional-MandatoryUpdated phone numberUse this field in case of action "Re-attempt"
address1Conditional-MandatoryUpdated address detailsUse this field in case of action "Re-attempt"
address2Conditional-MandatoryUpdated address detailsUse this field in case of action "Re-attempt"

Response:

JSON

{
"status": "SUCCESS",
"remarks": "We have successfully process your NDR request"
}